## NMDeviceModem NMDeviceModem |

## Functions

GQuark | nm_device_modem_error_quark ()
NMDeviceModemCapabilities | nm_device_modem_get_modem_capabilities ()
NMDeviceModemCapabilities | nm_device_modem_get_current_capabilities ()

## Properties

guint | current-capabilities | Read
guint | modem-capabilities | Read

## Types and Values

enum | NMDeviceModemError
#define | NM_DEVICE_MODEM_ERROR
#define | NM_DEVICE_MODEM_MODEM_CAPABILITIES
#define | NM_DEVICE_MODEM_CURRENT_CAPABILITIES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceModem

## Description

## Functions

### nm_device_modem_error_quark ()

    GQuark
    nm_device_modem_error_quark (void);

Registers an error quark for NMDeviceModem if necessary.

#### Returns

the error quark used for NMDeviceModem errors.

### nm_device_modem_get_modem_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_modem_capabilities
                                   (NMDeviceModem *self);

Returns a bitfield of the generic access technology families the modem supports. Not all capabilities are available concurrently however; some may require a firmware reload or reinitialization.

#### Parameters

self | a NMDeviceModem |

#### Returns

the generic access technology families the modem supports

### nm_device_modem_get_current_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_current_capabilities
                                   (NMDeviceModem *self);

Returns a bitfield of the generic access technology families the modem supports without a firmware reload or reinitialization. This value represents the network types the modem can immediately connect to.

#### Parameters

self | a NMDeviceModem |

#### Returns

the generic access technology families the modem supports without a firmware reload or other reinitialization

## Types and Values

### enum NMDeviceModemError

#### Members

NM_DEVICE_MODEM_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_MODEM_ERROR_NOT_MODEM_CONNECTION | the connection was not of modem type |
NM_DEVICE_MODEM_ERROR_INVALID_MODEM_CONNECTION | the modem connection was invalid |
NM_DEVICE_MODEM_ERROR_MISSING_DEVICE_CAPS | the device missed required capabilities |

### NM_DEVICE_MODEM_ERROR

    #define NM_DEVICE_MODEM_ERROR nm_device_modem_error_quark ()

### NM_DEVICE_MODEM_MODEM_CAPABILITIES

    #define NM_DEVICE_MODEM_MODEM_CAPABILITIES   "modem-capabilities"

### NM_DEVICE_MODEM_CURRENT_CAPABILITIES

    #define NM_DEVICE_MODEM_CURRENT_CAPABILITIES "current-capabilities"

## Property Details

### The `“current-capabilities”` property

      “current-capabilities”     guint

Current capabilities.

Flags: Read

Default value: 0

### The `“modem-capabilities”` property

      “modem-capabilities”       guint

Modem capabilities.

Flags: Read

Default value: 0